"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ConfigManager = void 0;
class ConfigManager {
    constructor(appConfig, getToken, axiosInstance) {
        this.appConfig = appConfig;
        this.getToken = getToken;
        this.axios = axiosInstance;
    }
    getConfig(configName, configType) {
        const that = this;
        return new Promise(function (resolve, reject) {
            that.axios({
                url: that.appConfig.endpoint + "/_config/" + configType + "/" + configName,
                headers: {
                    "Authorization": "Bearer " + that.getToken.getToken()
                },
                method: "GET"
            }).then(function (respo) {
                resolve(respo.data);
            }, function (rs) {
                console.log("config fetch response", arguments);
                reject(rs);
            });
        });
    }
    getAllConfig() {
        const that = this;
        return new Promise(function (resolve, reject) {
            that.axios({
                url: that.appConfig.endpoint + "/_config",
                headers: {
                    "Authorization": "Bearer " + that.getToken.getToken()
                },
                method: "GET"
            }).then(function (respo) {
                resolve(respo.data);
            }, function (rs) {
                console.log("config fetch response", arguments);
                reject(rs);
            });
        });
    }
    setConfig(configName, configType, configValue) {
        const that = this;
        return new Promise(function (resolve, reject) {
            that.axios({
                url: that.appConfig.endpoint + "/_config/" + configType + "/" + configName,
                headers: {
                    "Authorization": "Bearer " + that.getToken.getToken()
                },
                method: "POST",
                data: configValue,
            }).then(function (respo) {
                resolve(respo.data);
            }, function (rs) {
                console.log("config fetch response", arguments);
                reject(rs);
            });
        });
    }
}
exports.ConfigManager = ConfigManager;
