"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatsManager = void 0;
class StatsManager {
    constructor(appConfig, tokenGetter, axiosInstance) {
        this.appConfig = appConfig;
        this.tokenGetter = tokenGetter;
        this.axios = axiosInstance;
    }
    static queryToParams(statsRequest) {
        const keys = Object.keys(statsRequest);
        const list = [];
        for (let i = 0; i < keys.length; i++) {
            const key = keys[i];
            let values = statsRequest[key];
            if (!(values instanceof Array)) {
                values = [values];
            }
            for (let j = 0; j < values.length; j++) {
                list.push(encodeURIComponent(key) + "=" + encodeURIComponent(values));
            }
        }
        return "?" + list.join("&");
    }
    ;
    getStats(tableName, statsRequest) {
        const that = this;
        return new Promise(function (resolve, reject) {
            return that.axios({
                url: that.appConfig.getEndpoint() + "/aggregate/" + tableName + StatsManager.queryToParams(statsRequest),
                headers: {
                    "Authorization": "Bearer " + that.tokenGetter.getToken()
                },
            }).then(function (response) {
                resolve(response.data);
            }, function (response) {
                reject(response.data);
            });
        });
    }
}
exports.StatsManager = StatsManager;
exports.default = StatsManager;
