/**
 * Created by artpar on 6/7/17.
 */
import { AxiosInstance } from "axios";
import { AppConfigProvider, TokenGetter } from "./interface";
import ActionManager from "./actionmanager";
export declare class WorldManager {
    columnKeysCache: any;
    stateMachines: any;
    stateMachineEnabled: any;
    streams: any;
    appConfig: AppConfigProvider;
    jsonApi: any;
    actionManager: ActionManager;
    columnTypes: any;
    worlds: Object;
    systemActions: any;
    tokenGetter: TokenGetter;
    private axios;
    constructor(appConfig: AppConfigProvider, tokenGetter: TokenGetter, jsonApi: any, actionManager: ActionManager, axios: AxiosInstance);
    modelLoader(typeName: string, force: boolean): Promise<any>;
    init(): Promise<unknown>;
    getStateMachinesForType(typeName: any): Promise<unknown>;
    startObjectTrack(objType: any, objRefId: any, stateMachineRefId: any): Promise<unknown>;
    trackObjectEvent(typeName: any, stateMachineRefId: any, eventName: any): Promise<unknown>;
    getColumnKeys(typeName: string, force: boolean): Promise<any>;
    getColumnFieldTypes(): any;
    isStateMachineEnabled(typeName: any): boolean;
    GetJsonApiModel(columnModel: any): {};
    getWorlds(): Object;
    getWorldByName(name: any): any;
    getSystemActions(): any;
    loadModel(modelName: any, force: boolean): Promise<any[]>;
    loadStreams(force: boolean): Promise<unknown>;
    refreshWorld(worldName: string, force: boolean): Promise<any>;
    refreshWorlds(force: boolean): Promise<any>;
    loadModels(force: boolean): Promise<unknown>;
}
export default WorldManager;
